Bug 480753 - Incosistent parameters for /etc/NetworkManager/dispatcher.d scripts
Incosistent parameters for /etc/NetworkManager/dispatcher.d scripts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager-vpnc (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-20 05:57 EST by Matěj Cepl
Modified: 2009-12-18 02:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:39:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2009-01-20 05:57:32 EST
Description of problem:
When eth0 interface is switched up and down with NM, dispatcher scripts are calle with reasonable parameters (INTERFACE is $1 and UPDOWN $2):

INTERFACE=eth0 UPDOWN=up
INTERFACE=eth0 UPDOWN=down

One would expect that the same scripts would be called when VPN script is called with something like

INTERFACE=tun0 UPDOWN=up
INTERFACE=tun0 UPDOWN=down

Maybe there might be reason why to call them with their base hardware device instead (more VPNs in one computer?), i.e.:

INTERFACE=eth0 UPDOWN=vpn-up
INTERFACE=eth0 UPDOWN=vpn-down

But in reality they are called with the mixture of both:

INTERFACE=tun0 UPDOWN=vpn-up
INTERFACE=eth0 UPDOWN=vpn-down

Version-Release number of selected component (if applicable):
NetworkManager-gnome-0.7.0-1.git20090102.fc10.i386
NetworkManager-glib-0.7.0-1.git20090102.fc10.i386
NetworkManager-vpnc-0.7.0-1.svn13.fc10.i386
NetworkManager-0.7.0-1.git20090102.fc10.i386

Actual results:
see above

Expected results:
consistent real arguments of dispatched scripts
Comment 1 Matěj Cepl 2009-01-20 06:08:06 EST
And of course some documentation for dispatcher scripts would be helpful as well.
Comment 2 Dan Williams 2009-01-20 10:26:17 EST
Hmm, that behavior isn't helpful at all :)  The "vpn-up"/"vpn-down" events should only happen on the VPN interface, never on the eth/wlan interface.  Will look into it.
Comment 3 Dan Williams 2009-11-06 01:50:05 EST
dispatcher stuff is now documented in 'man NetworkManager' as of NM 0.7.1...
Comment 4 Bug Zapper 2009-11-18 05:48:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:39:32 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.